/*
 * rwdImageMaps jQuery plugin v1.5
 *
 * Allows image maps to be used in a responsive design by recalculating the area coordinates to match the actual image size on load and window.resize
 *
 * Copyright (c) 2013 Matt Stow
 * https://github.com/stowball/jQuery-rwdImageMaps
 * http://mattstow.com
 * Licensed under the MIT license
 */
;(function (a) {
  a.fn.rwdImageMaps = function (initAreaWidth,width,height,paperName) {
    var c = this;
    var b = function () {
      c.each(function () {
        if (typeof(a(this).attr("usemap")) == "undefined") {
          return
        }
        var e = this, d = a(e);
        var n = 0;var j =0;
        n = initAreaWidth;
        /*if(paperName == '浙江日报'){
         n = 300;
         j = 478
         }else if(paperName == '钱江晚报'){
         n = 300;
         j = 488
         }*/
        /*var n = 300; //375
         var j = 478;*/
        if(paperName == '深圳特区报'){
          j = 100
        }else{
          j = height / width * n
        }

        var f = d.width() / 100, k = d.height() / 100, i = d.attr("usemap").replace("#", ""), l = "coords";
        a('map[name="' + i + '"]').find("area").each(function () {
          var r = a(this);
          if (!r.data(l)) {
            r.data(l, r.attr(l))
          }
          var q = r.data(l).split(","), p = new Array(q.length);
          for (var h = 0; h < p.length; ++h) {
            if (h % 2 === 0) {
              p[h] = parseInt(((q[h] ) * 100) * f / n)
            } else {
              p[h] = parseInt(((q[h] ) * 100) * k / j)
            }
          }
          r.attr(l, p.toString())
        })
        /*a("<img />").load(function () {
         var g = "width", m = "height", n = d.attr(g), j = d.attr(m);
         if (!n || !j) {
         var o = new Image();
         o.src = d.attr("src");
         if (!n) {
         n = o.width
         }
         if (!j) {
         j = o.height
         }
         }
         n = 300; //375
         j = 478;
         var f = d.width() / 100, k = d.height() / 100, i = d.attr("usemap").replace("#", ""), l = "coords";
         a('map[name="' + i + '"]').find("area").each(function () {
         var r = a(this);
         if (!r.data(l)) {
         r.data(l, r.attr(l))
         }
         var q = r.data(l).split(","), p = new Array(q.length);
         for (var h = 0; h < p.length; ++h) {
         if (h % 2 === 0) {
         p[h] = parseInt(((q[h] / n) * 100) * f)
         } else {
         p[h] = parseInt(((q[h] / j) * 100) * k)
         }
         }
         r.attr(l, p.toString())
         })
         }).attr("src", d.attr("src"))*/
      })
    };
    a(window).resize(b).trigger("resize");
    return this
  }
})(jQuery);
